%global pypi_name django-haystack

Name:           python-%{pypi_name}
Version:        2.5.0
Release:        5%{?dist}
Summary:        Pluggable search for Django

License:        BSD
URL:            http://haystacksearch.org/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Haystack provides modular search for Django. It features a unified, familiar
API that allows you to plug in different search backends (such as Solr,
Elasticsearch, Whoosh, Xapian, etc.) without having to modify your code.

Haystack is BSD licensed, plays nicely with third-party app without needing to
modify the source and supports advanced features like faceting, More Like This,
highlighting, spatial search and spelling suggestions.

You can find more information at http://haystacksearch.org/.

%package -n python3-%{pypi_name}
Summary:        Haystack provides modular search for Django - Python 3 version

BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-setuptools
BuildRequires:  python3-django

Requires:       python3-django

%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes: python-%{pypi_name} < 2.5.0-5
Obsoletes: python2-%{pypi_name} < 2.5.0-5

%description -n python3-%{pypi_name}
Haystack provides modular search for Django. It features a unified, familiar
API that allows you to plug in different search backends (such as Solr,
Elasticsearch, Whoosh, Xapian, etc.) without having to modify your code.

Haystack is BSD licensed, plays nicely with third-party app without needing to
modify the source and supports advanced features like faceting, More Like This,
highlighting, spatial search and spelling suggestions.

You can find more information at http://haystacksearch.org/.

This package provides Python 3 build of %{pypi_name}.


%package docs
Summary: Documentation for Django Haystack pluggable search
# Not requiring the main package, as users may wish to install
# the documentation separately.

%description docs
Documentation for Django Haystack pluggable search

Haystack provides modular search for Django. It features a unified, familiar
API that allows you to plug in different search backends (such as Solr,
Elasticsearch, Whoosh, Xapian, etc.) without having to modify your code.

Haystack is BSD licensed, plays nicely with third-party app without needing to
modify the source and supports advanced features like faceting, More Like This,
highlighting, spatial search and spelling suggestions.

You can find more information at http://haystacksearch.org/.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

# Re-generate documentation
# Docs cannot be built in parallel
# We cannot build 'linkcheck' because it requires network access

pushd docs
make clean html htmlhelp latex json pickle changes
popd

%install
%py3_install
# Remove several useless files from the sources
find . -name ".gitignore" -exec rm -f {} \;
find . -name ".buildinfo" -exec rm -f {} \;
find . -name ".DS_Store" -exec rm -f {} \;
find . -name "last_build" -exec rm -f {} \;

%files -n python3-%{pypi_name}
%doc PKG-INFO README.rst AUTHORS
%license LICENSE
# For noarch packages: sitelib
%{python3_sitelib}/haystack
%{python3_sitelib}/django_haystack-%{version}*.egg-info/

%files docs
%doc docs/

%changelog
* Tue Feb 13 2018 Matthias Runge <mrunge@redhat.com> - 2.5.0-5
- fix FTBFS
- drop python2 package for https://fedoraproject.org/wiki/Changes/Django20

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.5.0-2
- Rebuild for Python 3.6

* Wed Aug 3 2016 Jan Beran <jberan@redhat.com> - 2.5.0-1
- update to version 2.5.0
- source update
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Stephen Gallagher <sgallagh@redhat.com> 2.3.1-1
- Update to 2.3.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Stephen Gallagher <sgallagh@redhat.com> 2.1.0-4
- Build -docs subpackage
- Remove hidden files and cruft from other OSes
- Force rebuild of documentation

* Fri Jan 24 2014 Stephen Gallagher <sgallagh@redhat.com> 2.1.0-3
- Remove extra BuildRequires: python-django

* Thu Jan 23 2014 Stephen Gallagher <sgallagh@redhat.com> - 2.1.0-2
- Correct %%description

* Thu Jan 23 2014 Stephen Gallagher <sgallagh@redhat.com> - 2.1.0-1
- Initial release

